Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2011-4075

Overview

Vulnerability Score 7.5 7.5
CVE Id CVE-2011-4075
Last Modified 26 Jan 2012 11:03:26
Published 02 Nov 2011 01:55:01
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2011-4075

Summary

The masort function in lib/functions.php in phpLDAPadmin 1.2.x before 1.2.2 allows remote attackers to execute arbitrary PHP code via the orderby parameter (aka sortby variable) in a query_engine action to cmd.php, as exploited in the wild in October 2011.

Vulnerable Systems

Application

  • Deon George Phpldapadmin 1.2.0

  • Deon George Phpldapadmin 1.2.0.1

  • Deon George Phpldapadmin 1.2.0.2

  • Deon George Phpldapadmin 1.2.0.3

  • Deon George Phpldapadmin 1.2.0.4

  • Deon George Phpldapadmin 1.2.0.5

  • Deon George Phpldapadmin 1.2.1

  • Deon George Phpldapadmin 1.2.1.1


References

CONFIRM - http://phpldapadmin.git.sourceforge.net/git/gitweb.cgi?p=phpldapadmin/phpldapadmin;a=blobdiff;f=lib/functions.php;h=eb160dc9f7d74e563131e21d4c85d7849a0c6638;hp=19fde9974d4e5eb3bfac04bb223ccbefdb98f9a0;hb=76e6dad13ef77c5448b8dfed1a61e4acc7241165;hpb=5d4245f93ae6f065e7535f268e3cd87a23b07744

MLIST - [oss-security] 20111025 Re: CVE request: phpldapadmin <= 1.2.1.1 XSS and and code injection flaws

MLIST - [oss-security] 20111024 CVE request: phpldapadmin <= 1.2.1.1 XSS and and code injection flaws

EXPLOIT-DB - 18021

CONFIRM - http://sourceforge.net/tracker/index.php?func=detail&aid=3417184&group_id=61828&atid=498546

SECUNIA - 46551

CONFIRM - http://phpldapadmin.sourceforge.net/wiki/index.php/Main_Page

MISC - http://dev.metasploit.com/redmine/issues/5820

BID - 50331

DEBIAN - DSA-2333

SECUNIA - 46672

OSVDB - 76594


Last Updated: 27 May 2016 10:57:23